<template>
  <div class="chapter" num="1">
    <!-- 封面 -->
    <div class="page-box cover mt-20" page="1" >
      <div v-if="showPageList.indexOf(1) > -1">
        <img src="../../assets/images/Cover.jpg" alt="" class="w100" />
      </div>
    </div>
    <div class="page-box" page="2">
      <div v-if="showPageList.indexOf(2) > -1">
        <img src="../../assets/images/Covers.png" alt="" class="w100" />
      </div>
    </div>
    <!-- 版权页 -->
    <div class="page-box text-center" style="padding: 136px 0" page="3">
      <div v-if="showPageList.indexOf(3) > -1">
        <div class="box">
          <hr class="line" />
          <p class="tl fz-14"><b>图书在版编目（CIP）数据</b></p>
          <p class="tl fz-14 m0">
            数学：基础模块.上册/曹一鸣，付勇，董连春主编.—4版.—北京：北京师范大学出版社，2021.8（2023.6重印）
          </p>
          <p class="tl" style="margin-bottom: 10px">ISBN 978-7-303-27089-7</p>
          <p class="tl fz-14 m0" style="margin-bottom: 10px">
            Ⅰ.①数… Ⅱ.①曹… ②付… ③董… Ⅲ.①数学课-中等专业学校-教材 Ⅳ.①G634.603
          </p>
          <p class="tl fz-14">中国版本图书馆CIP数据核字（2021）第127012号</p>
          <hr class="line" style="height: 1px" />
          <p class="tl fz-14 m0" style="margin-top: 136px">
            <b>教材意见反馈联系电话　010-58807762 58806368</b>
          </p>
          <p class="tl fz-14 m0">
            <b>教材意见反馈电子信箱　yjp@bnupg.com lz@bnupg.com</b>
          </p>
          <p class="tl fz-14 m0">营销中心电话　010-58806880 58801876</p>
          <hr class="line" style="height: 1px" />
          <p class="tl fz-14 m0">出版发行：北京师范大学出版社 www.bnupg.com</p>
          <p class="tl fz-14 m0">　　　　　北京市西城区新街口外大街12-3号</p>
          <p class="tl fz-14 m0">　　　　　邮政编码：100088</p>
          <p class="tl fz-14 m0">印　　刷：天津旭非印刷有限公司</p>
          <p class="tl fz-14 m0">经　　销：全国新华书店</p>
          <p class="tl fz-14 m0">开　　本：889mm×1194mm 1/16</p>
          <p class="tl fz-14 m0">印　　张：14</p>
          <p class="tl fz-14 m0">字　　数：214千字</p>
          <p class="tl fz-14 m0">版　　次：2021年8月第4版</p>
          <p class="tl fz-14 m0">印　　次：2023年6月第39次印刷</p>
          <p class="tl fz-14 m0">定　　价：27.00元</p>
          <hr class="line" />
          <ul class="fl fl-between m0" style="padding: 0">
            <li>
              <p class="tl fz-14 m0">策划编辑：林　子　余娟平</p>
              <p class="tl fz-14 m0">美术编辑：焦　丽</p>
              <p class="tl fz-14 m0">责任校对：陈　民</p>
            </li>
            <li>
              <p class="tl fz-14 m0">责任编辑：马力敏</p>
              <p class="tl fz-14 m0">装帧设计：焦　丽</p>
              <p class="tl fz-14 m0">责任印制：马　洁</p>
            </li>
          </ul>
          <p class="center m0" style="margin-top: 20px; font-size: 20px">
            <b>版权所有&nbsp;&nbsp;侵权必究</b>
          </p>
          <p class="center m0"><b>反盗版、 侵权举报电话：</b>010-58800697</p>
          <p class="block2 m0">北京读者服务部电话：010-58808104</p>
          <p class="block2 m0">外埠邮购电话：010-58808083</p>
          <p class="block2 m0">
            本书如有印装质量问题， 请与印制管理部联系调换。
          </p>
          <p class="block2 m0">印制管理部电话：010-58805079</p>
        </div>
      </div>
    </div>

  </div>
</template>

<script>
export default {
  name: "page-header",
  props: {
    showPageList: {
      type: Array,
      // default: [],
    },
    data() {
      return {};
    },
  },
};
</script>

<style lang="less" scoped>
.cover img {
  width: 100%;
  object-fit: contain;
}
.box {
  max-width: 400px;
  margin: 0 auto;
}
.line {
  background-color: #000;
  height: 2px;
}
.tixing {
  position: relative;
  margin-bottom: 110px;
}
.tixing-left {
  position: absolute;
  top: 0px;
  width: 200px;
  border-top: 50px solid #1eb9ee;
  border-right: 20px solid transparent;
  border-bottom: 30px solid transparent;
  border-left: 0px solid transparent;
}
.tixing-right {
  max-width: 200px;
  border-top: 40px solid transparent;
  border-right: 0px solid transparent;
  border-bottom: 40px solid #8dd7f7;
  border-left: 40px solid transparent;
}
.tixing-box {
  width: 100%;
  height: 50px;
  background-color: #8dd7f7;
}
.tixing-text {
  position: absolute;
  top: -36px;
  left: 44px;
}
.preface-text {
  font-size: 24px;
  color: #fff;
}
</style>
